.earlier-projects {
  width: 100%;
  height: 60vh;
  position: relative;
  background-color: transparent;
  padding: 0;
}

.carousel-main {
  width: 100%;
  height: 100%;
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  margin: 0;
}

.carousel-track {
  list-style: none;
  margin: 0;
  padding: 0;
  position: relative;
  height: 80%;
  width: 100%;
}

.carousel-track li {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  opacity: 0;
  transition: opacity 1s ease-in-out;
  z-index: 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.carousel-track li.active {
  opacity: 1;
  z-index: 1;
}

.carousel-track li a {
  display: flex;
  width: 100%;
  height: 100%;
  justify-content: center;
  align-items: center;
}

.carousel-image {
  width: 100%;
  height: 100%;
  object-fit: contain;
  display: block;
  background-color: transparent;
}

.carousel-description-box {
  background-color: var(--almond);
  padding: 1rem;
  border-radius: 10px;
  margin-top: 1rem;
  box-shadow: 0 2px 8px rgba(0, 0, 0, 0.08);
  max-width: 500px;
  width: 85%;
  margin: 0 auto 0 2rem;
  text-align: left;
}

.carousel-description-box h2 {
  font-size: clamp(1.25rem, 3vw, 2rem);
  margin-bottom: 0.8rem;
  color: var(--Espresso);
}

.carousel-description-box ul {
  padding-left: 1.5rem;
}

.carousel-description-box li {
  margin-bottom: 0.7rem;
  font-size: clamp(0.9rem, 2vw, 1rem);
  opacity: 0.85;
  color: var(--Espresso);
  list-style: square;
  line-height: 1.6;
}

@media (max-width: 800px) {
  
  .carousel-main li{
    margin: 0 0 1rem 1rem;
    line-height: 1.3;
  }
}

@media (max-width: 500px) {
  
  .carousel-main li{
    margin: 0 0 0.7rem 0.7rem;
    line-height: 1;
  }
}